Package wx :: Package lib :: Module pydocview :: Class FilePropertiesService

[frames | no frames]

## Type FilePropertiesService

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
            DocService --+
                         |
                        FilePropertiesService

Service that installs under the File menu to show the properties of the file associated with the current document.

Method Summary
| ``__init__`(self)` Initializes the PropertyService.
| ``AddCustomEventHandler`(self, handler)` Adds a custom event handlers for the PropertyService.
| ``chopPath`(self, text, length)` Simple version of textwrap.
| ``GetCustomEventHandlers`(self)` Returns the custom event handlers for the PropertyService.
| ``InstallControls`(self, frame, menuBar, toolBar, statusBar, document)` Installs a File/Properties menu item.
| ``ProcessEvent`(self, event)` Detects when the File/Properties menu item is selected.
| ``ProcessUpdateUIEvent`(self, event)` Updates the File/Properties menu item.
| ``RemoveCustomEventHandler`(self, handler)` Removes a custom event handler from the PropertyService.
| ``ShowPropertiesDialog`(self, filename)` Shows the PropertiesDialog for the specified file.

Property Summary

Class Variable Summary
`int` | `PROPERTIES_ID` = 145

Method Details

### __init__(self)
(Constructor)

Initializes the PropertyService.

  Overrides:
    `wx.lib.pydocview.DocService.__init__`

### AddCustomEventHandler(self, handler)

Adds a custom event handlers for the PropertyService. A custom event handler enables a different dialog to be provided for a particular file.

### chopPath(self, text, length=36)

Simple version of textwrap. textwrap.fill() unfortunately chops lines at spaces and creates odd word boundaries. Instead, we will chop the path without regard to spaces, but pay attention to path delimiters.

### GetCustomEventHandlers(self)

Returns the custom event handlers for the PropertyService.

### InstallControls(self, frame, menuBar=None, toolBar=None, statusBar=None, document=None)

Installs a File/Properties menu item.

  Overrides:
    `wx.lib.pydocview.DocService.InstallControls`

### ProcessEvent(self, event)

Detects when the File/Properties menu item is selected.

  Overrides:
    `wx.lib.pydocview.DocService.ProcessEvent`

### ProcessUpdateUIEvent(self, event)

Updates the File/Properties menu item.

  Overrides:
    `wx.lib.pydocview.DocService.ProcessUpdateUIEvent`

### RemoveCustomEventHandler(self, handler)

Removes a custom event handler from the PropertyService.

### ShowPropertiesDialog(self, filename=None)

Shows the PropertiesDialog for the specified file.

Class Variable Details

### PROPERTIES_ID

  Type:
    `int`
  Value:

        145

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:00 2007 | http://epydoc.sf.net